ifuwf_path=$(pwd)
pyenv_path=$ifuwf_path/venv
pybin=python3

if ! which $pybin > /dev/null; then
  echo "Error: Required python version is not installed."
else

    if [ ! -d "$pyenv_path" ]; then
	echo "Python virtual environment not detected - creating..."
	python3 -m venv $pyenv_path
	echo "...activating and installing requirements..."
	source $pyenv_path/bin/activate
	pip install -r $ifuwf_path/requirements.txt
	echo ""
	echo "...done. Python virtual environment activated - ready to use IFU workflow"
    else
	# Activate python virtual environment
	source $pyenv_path/bin/activate
	echo 'Python virtual environment activated - ready to use IFU workflow'
    fi

    export PYTHONPATH=`pwd`
    cd workflow
fi
